<?php

// VERSION=4

include((file_exists("/usr/local/php/beroConf.php") ? "/usr/local/php/beroConf.php" : "/usr/fallback/beroConf.php"));

$redirect_pat = "<html>\n<head>\n<title>beroWeb: Redirecting...</title>\n<meta http-equiv=\"Refresh\" content=\"0; url=%s\">\n</head>\n" .
		"<body>\n<h2>beroWeb: Redirecting...</h2>\n<hr>\n" .
		"Click <a href=\"%s\">here</a>, if automatic redirection does not work.\n" .
		"</body>\n</html>\n";

if ((($root_db = new beroConf("root")) != NULL) && ($root_db->get("root", "userapp-enabled") == 1) && (file_exists("/home/admin/www/index.php"))) {
	$url_path="/userapp/index.php";
	printf($redirect_pat, $url_path, $url_path);
} elseif (file_exists("/usr/local/www/index.php")) {
	$url_path="/app/index.php";
	printf($redirect_pat, $url_path, $url_path);
} else {
	echo '
<html>
<head>
<title>beroWeb</title>
</head>
<body>
<h2>beroWeb</h2>
<hr>
<h3>Diagnostic:</h3>
<ul>
<li><a href="cgi-bin/info.sh">Info</a></li>
<li><a href="cgi-bin/phpinfo.php">PHPinfo</a></li>
</ul>
<h3>Configuration:</h3>
<ul>
<li><a href="cgi-bin/confdb.php">Configuration database</a></li>
<li><a href="cgi-bin/network-tool.php">Network tool</a></li>
</ul>
<h3>Firmware:</h3>
<ul>
<li><a href="cgi-bin/update-tool.php">Update tool</a></li>
</ul>
<h3>System:</h3>
<ul>
<li><a href="cgi-bin/reboot.php">Reboot</a></li>
</ul>
</body>
</html>';
}
?>
